| Bsoft 2.0.5 Bernard's software package

Functions
bshow_filament.tcl File Reference

Procedures to create, move and destroy filament selections. More...

Go to the source code of this file.

## Functions
| Filaments
| Dialog box to manipulate filaments on the main canvas. More...
| setNodeRadius
| Sets the node radius from the dialog box. More...
| filamentCreate x y
| Starts a new filament. More...
| nodeCreateSelect x y
| Creates or selects a node. More...
| nodeSelect x y
| Selects a node on the canvas. More...
| nodeMove x y
| Moves the selected node. More...
| nodeDraw fid nid
| Draws a circle for a node on the canvas. More...
| nodeLinkDraw fid nid1 nid2
| Draws a line between two nodes on the canvas. More...
| filamentsDrawAll
| Draws filament nodes and lines connecting nodes on the canvas. More...
| filamentUpdateSelected
| Updates the selected filament and node in the dialog window. More...
| nodeDelete x y
| Deletes the selected node. More...
| filamentDelete
| Deletes the selected filament. More...
| filamentDeleteAll
| Deletes all filaments. More...
| filamentCenterNodes
| Centers filament nodes. More...
| filamentExtract
| Extracts filaments defined in the micrograph parameters. More...
| filamentExtract_and_DestroyWindow w
| Extracts filaments from the current set of node coordinates. More...
| filamentsToParticles
| Creates particles on filaments. More...
| updateNodeParam
| Updates node parameters from the micrograph parameters in memory. More...
| filamentProfilePlot fid nid
| Plots the selected filament profile in the plot canvas. More...
| filamentProfileWrite
| Writes the selected filament profile to a file. More...

## Detailed Description

Procedures to create, move and destroy filament selections.

Author
  Bernard Heymann

Date
  Created: 20020808
  Modified: 20180410

Definition in file bshow_filament.tcl.

## Function Documentation

## ◆ filamentCenterNodes()

filamentCenterNodes

Centers filament nodes.

Definition at line 454 of file bshow_filament.tcl.

## ◆ filamentCreate()

filamentCreate |  |  | x y

Starts a new filament.

Parameters

  x |
  y | First node position in canvas coordinates.

Definition at line 191 of file bshow_filament.tcl.

## ◆ filamentDelete()

filamentDelete

Deletes the selected filament.

Definition at line 425 of file bshow_filament.tcl.

## ◆ filamentDeleteAll()

filamentDeleteAll

Deletes all filaments.

Definition at line 441 of file bshow_filament.tcl.

## ◆ filamentExtract()

filamentExtract

Extracts filaments defined in the micrograph parameters.

Definition at line 465 of file bshow_filament.tcl.

## ◆ filamentExtract_and_DestroyWindow()

filamentExtract_and_DestroyWindow |  |  | w

Extracts filaments from the current set of node coordinates.

Parameters

  w | Dialog window.

Definition at line 533 of file bshow_filament.tcl.

## ◆ filamentProfilePlot()

filamentProfilePlot |  |  | fid nid

Plots the selected filament profile in the plot canvas.

Parameters

  fid | filament identifier.
  nid | node identifier.

Definition at line 610 of file bshow_filament.tcl.

## ◆ filamentProfileWrite()

filamentProfileWrite

Writes the selected filament profile to a file.

Definition at line 669 of file bshow_filament.tcl.

## ◆ Filaments()

Filaments

Dialog box to manipulate filaments on the main canvas.

Definition at line 25 of file bshow_filament.tcl.

## ◆ filamentsDrawAll()

filamentsDrawAll

Draws filament nodes and lines connecting nodes on the canvas.

Definition at line 356 of file bshow_filament.tcl.

## ◆ filamentsToParticles()

filamentsToParticles

Creates particles on filaments.

Definition at line 560 of file bshow_filament.tcl.

## ◆ filamentUpdateSelected()

filamentUpdateSelected

Updates the selected filament and node in the dialog window.

Definition at line 384 of file bshow_filament.tcl.

## ◆ nodeCreateSelect()

nodeCreateSelect |  |  | x y

Creates or selects a node.

Parameters

  x |
  y | Node position in canvas coordinates.

Definition at line 202 of file bshow_filament.tcl.

## ◆ nodeDelete()

nodeDelete |  |  | x y

Deletes the selected node.

Parameters

  x |
  y | Node position in window coordinates.

Definition at line 407 of file bshow_filament.tcl.

## ◆ nodeDraw()

nodeDraw |  |  | fid nid

Draws a circle for a node on the canvas.

Parameters

  fid | Filament identifier.
  nid | Node identifier.

Definition at line 286 of file bshow_filament.tcl.

## ◆ nodeLinkDraw()

nodeLinkDraw |  |  | fid nid1 nid2

Draws a line between two nodes on the canvas.

Parameters

  fid | Filament identifier.
  nid1 | Node 1 identifier.
  nid2 | Node 2 identifier.

Definition at line 326 of file bshow_filament.tcl.

## ◆ nodeMove()

nodeMove |  |  | x y

Moves the selected node.

Parameters

  x |
  y | Node position in canvas coordinates.

Definition at line 260 of file bshow_filament.tcl.

## ◆ nodeSelect()

nodeSelect |  |  | x y

Selects a node on the canvas.

Parameters

  x |
  y | Node position in window coordinates.

Returns
  node_selected Index of the selected node, 0 if none selected.

Definition at line 234 of file bshow_filament.tcl.

## ◆ setNodeRadius()

setNodeRadius

Sets the node radius from the dialog box.

Definition at line 179 of file bshow_filament.tcl.

## ◆ updateNodeParam()

updateNodeParam

Updates node parameters from the micrograph parameters in memory.

Definition at line 581 of file bshow_filament.tcl.